%define upstream_name	 Socket6
%define upstream_version 0.23

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	IPv6 related part of the C socket.h defines and structure manipulators
License:	BSD-like
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Socket6/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
This module provides glue routines to the various IPv6 functions.

If you use the Socket6 module, be sure to specify "use Socket" as
well as "use Socket6".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README META.yml
%{perl_vendorarch}/auto/Socket6
%{perl_vendorarch}/Socket6.pm


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-6.mga3
+ Revision: 372659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.230.0-5.mga3
+ Revision: 251112
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.230.0-4.mga2
+ Revision: 104825
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.230.0-3.mga1
+ Revision: 31151
- mageia rebuild
- imported package perl-Socket6

